@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 INRIA & USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Marc Navarro (mnavarro@wins.uva.nl),
rem #                       Philippe Merle.
rem # Contributor(s): Christophe Demarey, Romain Rouvoy.
rem #
rem # ====================================================================
rem #
rem # Installation of the Platform.
rem #
rem # ====================================================================
rem # $Id$
rem # ====================================================================

setlocal

rem # Check if the configuration directory exists.
call "%OW_HOMEDIR%\bin\ow_installed"
if %OW_INSTALLED%==1 goto :error

:makecfg
echo The ObjectWeb Platform will be installed.
call envi_launcher.bat

echo Creating the %OW_CONFIGDIR% directory.
mkdir "%OW_CONFIGDIR%"

echo The ObjectWeb Platform is installed.
goto :eof

:error
echo Error: The ObjectWeb Platform is already installed!
